%define debug_package %{nil}
%define __requires_exclude ^(libclearkey|libfreeblpriv3|liblgpllibs|libmozavcodec|libmozavutil|libmozgtk|libmozsandbox|libmozsqlite3|libnspr4|libnss3|libnssckbi|libnssdbm3|libnssutil3|libplc4|libsmime3|libsoftokn3|libssl3|libxul)\.so
%global __provides_exclude_from %{_libdir}/%{name}

Name: zotero
Version: 7.0.11
Release: 1%{?dist}
Summary: Zotero desktop application for aarch64

License: AGPLv3
URL: https://www.zotero.org
Source0: https://repo.archlinuxcn.org/aarch64/zotero-7.0.11-2-aarch64.pkg.tar.zst

ExclusiveArch: aarch64
BuildArch: aarch64

%description
Zotero is a free, easy-to-use tool to help you collect, organize, cite, and share research.

%prep
%autosetup -c -T

# Extract the ArchLinux package (ZSTD-compressed tar)
tar --use-compress-program=unzstd -xf %{SOURCE0}

%build
# Nothing to build

%install
# Copy the content under /opt/zotero/usr to BUILDROOT as if it's root
cp -a usr %{buildroot}/
rm -f %{buildroot}/usr/bin/zotero
ln -srv %{buildroot}/usr/lib/zotero/zotero %{buildroot}/usr/bin/zotero

%files
%doc

/usr/bin/zotero
/usr/lib/zotero
/usr/share/applications/zotero.desktop
/usr/share/icons/hicolor/128x128/apps/zotero.png
/usr/share/icons/hicolor/32x32/apps/zotero.png
/usr/share/icons/hicolor/64x64/apps/zotero.png
/usr/share/icons/hicolor/symbolic/apps/zotero-symbolic.svg

%changelog
* Fri May 10 2024 Patrick Gaskin <patrick@pgaskin.net> - 7.0.11-1
- Import ArchLinuxCN binary for aarch64 and package as Fedora RPM.
